from setuptools import setup, Extension


# Workaround for https://github.com/ament/ament_tools/issues/180
class ExtensionWrapper(Extension):
    def __init__(self, name, sources, **kwargs):
        super().__init__(name, sources, **kwargs)

    def __repr__(self):
        return '[]'


_ext_test_extension = ExtensionWrapper('_ext_test',
                                    sources=['ext_test.c']
                                    )

setup(
    version='1.0.0',
    name='dsst',
    packages=[],
    ext_modules=[_ext_test_extension],
)

